package com.xhpc.charging.station.service;

import com.xhpc.common.core.domain.R;
import com.xhpc.common.domain.XhpcBarrierGate;
import com.xhpc.common.domain.XhpcEquipmentAccident;

import java.util.List;
import java.util.Map;

public interface IXhpcBarrierGateService {


    R getBarrierGateList();

    List<Map<String, Object>> getLsit(String barrierGateCompany,String chargingStationNumber);


    R insertBarrierGate(XhpcBarrierGate xhpcBarrierGate);

    R updateBarrierGate(XhpcBarrierGate xhpcBarrierGate);

    R deleteBarrierGateById(Long barrierGateId);

    Map<String, Object> getXhpcBarrierGateById(Long barrierGateId );

    void getEndTimeExpire();
}
